<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| MusicBox v1.1
| Copyright (c) 2006 Gander
| http://www.gander.pl/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

if (file_exists(INFUSIONS."musicbox_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."musicbox_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."musicbox_panel/locale/English.php";
}

$inf_title = $locale['mbp100'];
$inf_description = $locale['mbp101'];
$inf_version = "1.1";
$inf_developer = "Gander";
$inf_email = "fusion@gander.pl";
$inf_weburl = "http://gander.pl";

$inf_folder = "musicbox_panel";
$inf_admin_image = "shout.gif";
$inf_admin_panel = "musicbox_admin.php";

$inf_newtables = 2;
$inf_insertdbrows = 1;
$inf_altertables = 0;
$inf_deldbrows = 0;

$inf_newtable_[1] = "musicbox_tracks (
  track_id smallint(5) unsigned NOT NULL auto_increment,
  track_title varchar(100) NOT NULL default '',
  track_file varchar(200) NOT NULL default '',
  track_order tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (track_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "musicbox_settings (
  description tinytext NOT NULL,
  last_generation int(10) unsigned NOT NULL default '0',
  enable_autostart tinyint(1) unsigned NOT NULL default '0',
  enable_loop tinyint(1) unsigned NOT NULL default '0'
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "musicbox_settings VALUES('<center>".$locale['mbp201']."</center>', '0', '0', '0')";

$inf_droptable_[1] = "musicbox_tracks";
$inf_droptable_[2] = "musicbox_settings";

?>